Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- z
- ~

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Here is a list of all documented class members with links to the class documentation for each member:

### - r -

- rand_float() : faiss::RandomGenerator
- rand_int() : faiss::RandomGenerator
- rand_long() : faiss::RandomGenerator
- random_level() : faiss::HNSW
- random_rotation : faiss::PCAMatrix
- RandomRotationMatrix() : faiss::RandomRotationMatrix
- range_search() : faiss::Index , faiss::IndexBinary , faiss::IndexFlat , faiss::IndexIVF , faiss::IndexIVFFlatDedup , faiss::IndexIDMap , faiss::IndexPreTransform
- RangeSearchPartialResult() : faiss::RangeSearchPartialResult
- RangeSearchResult() : faiss::RangeSearchResult
- RangeStat : faiss::ScalarQuantizer
- reclaimMemory() : faiss::gpu::GpuIndexIVFFlat , faiss::gpu::GpuIndexIVFPQ , faiss::gpu::IVFBase
- reclaimMemory_() : faiss::gpu::IVFBase
- reconstruct() : faiss::IndexIVF , faiss::Index2Layer , faiss::IndexPQ , faiss::MultiIndexQuantizer , faiss::IndexReplicasTemplate< IndexT > , faiss::IndexScalarQuantizer , faiss::IndexIDMap2 , faiss::IndexPreTransform , faiss::gpu::GpuIndexBinaryFlat , faiss::gpu::GpuIndexFlat , faiss::Index , faiss::IndexBinary , faiss::IndexBinaryFlat , faiss::IndexBinaryHNSW , faiss::IndexBinaryIVF , faiss::IndexFlat , faiss::ReconstructFromNeighbors , faiss::IndexHNSW
- reconstruct_from_offset() : faiss::IndexBinaryIVF , faiss::IndexIVF , faiss::IndexIVFFlat , faiss::IndexIVFFlatDedup , faiss::IndexIVFPQ , faiss::IndexIVFPQR , faiss::IndexIVFScalarQuantizer
- reconstruct_n() : faiss::gpu::GpuIndexFlat , faiss::Index , faiss::IndexBinary , faiss::IndexBinaryIVF , faiss::IndexIVF , faiss::Index2Layer , faiss::IndexPQ , faiss::IndexScalarQuantizer , faiss::IndexPreTransform
- reduceAdd() : faiss::gpu::Math< T > , faiss::gpu::Math< float2 > , faiss::gpu::Math< float4 >
- refine_codes : faiss::IndexIVFPQR
- refine_index : faiss::IndexRefineFlat
- refine_pq : faiss::IndexIVFPQR
- release_codes() : faiss::SliceInvertedLists , faiss::VStackInvertedLists , faiss::MaskedInvertedLists , faiss::InvertedLists , faiss::HStackInvertedLists
- release_ids() : faiss::InvertedLists , faiss::HStackInvertedLists , faiss::SliceInvertedLists , faiss::VStackInvertedLists , faiss::MaskedInvertedLists
- RemapDimensionsTransform() : faiss::RemapDimensionsTransform
- remove_ids() : faiss::IndexIVFFlatDedup , faiss::IndexBinaryFlat , faiss::Index , faiss::IndexBinary , faiss::IndexBinaryIVF , faiss::IndexFlat , faiss::IndexIVF , faiss::IndexIVFPQR , faiss::IndexPQ , faiss::IndexIDMap , faiss::IndexIDMap2 , faiss::IndexPreTransform
- remove_replica() : faiss::IndexReplicasTemplate< IndexT >
- remove_shard() : faiss::IndexShardsTemplate< IndexT >
- removeIndex() : faiss::ThreadedIndex< IndexT >
- reorder() : faiss::HeapArray< C >
- replace_invlists() : faiss::IndexIVF
- reserve() : faiss::gpu::BinaryFlatIndex , faiss::gpu::FlatIndex
- reserveMemory() : faiss::gpu::GpuIndexIVFFlat , faiss::gpu::GpuIndexIVFPQ , faiss::gpu::IVFBase
- reserveVecs : faiss::gpu::GpuClonerOptions
- reset() : faiss::IndexSplitVectors , faiss::IndexScalarQuantizer , faiss::IndexIVFPQR , faiss::IndexPQ , faiss::MultiIndexQuantizer , faiss::Index2Layer , faiss::gpu::GpuIndexIVFFlat , faiss::IndexLSH , faiss::IndexBinaryFromFloat , faiss::gpu::FlatIndex , faiss::IndexFlat1D , faiss::gpu::BinaryFlatIndex , faiss::gpu::GpuIndexFlat , faiss::IndexFlat , faiss::Index , faiss::IndexPreTransform , faiss::IndexBinaryFlat , faiss::gpu::IVFBase , faiss::IndexIVF , faiss::IndexRefineFlat , faiss::IndexBinary , faiss::IndexBinaryIVF , faiss::gpu::GpuIndexBinaryFlat , faiss::gpu::GpuIndexIVFPQ , faiss::ThreadedIndex< IndexT > , faiss::IndexHNSW , faiss::IndexBinaryHNSW , faiss::IndexIDMap
- resources_ : faiss::gpu::GpuIndexBinaryFlat , faiss::gpu::GpuIndex , faiss::gpu::IVFBase
- returnAlloc() : faiss::gpu::StackDeviceMemory::Stack
- reverse_chain() : faiss::IndexPreTransform
- reverse_transform() : faiss::LinearTransform , faiss::CenteringTransform , faiss::VectorTransform , faiss::NormalizationTransform , faiss::RemapDimensionsTransform
- rotate_data : faiss::IndexLSH
- rrot : faiss::IndexLSH
- RS_meanstd : faiss::ScalarQuantizer
- RS_minmax : faiss::ScalarQuantizer
- RS_optim : faiss::ScalarQuantizer
- RS_quantiles : faiss::ScalarQuantizer
- runOnIndex() : faiss::ThreadedIndex< IndexT >